Bug 1101873 (CVE-2014-0242)

Summary: CVE-2014-0242 mod_wsgi: information leak
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bkearney, bleanhar, cbillett, ccoleman, cpelland, cperry, dmcphers, extras-orphan, jdetiber, jdornak, jialiu, jkaluza, jkeck, jkurik, jmatthew, jokajak, jokerman, jorton, jrusnack, katello-bugs, kseifried, lmacken, lmeyer, mmaslano, mmccomas, mmccune, mmcgrath, mmraka, mrunge, taw, tjay, tomckay, tsanders, webstack-team, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mod_wsgi 3.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-21 21:22:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1101874, 1101875, 1104685, 1104686    
Bug Blocks: 1101877    

Description Murray McAllister 2014-05-28 05:55:03 UTC
mod_wsgi allows you to host Python applications on the Apache HTTP Server. It was found that a remote attacker could leak portions of a mod_wsgi application's memory via the Content-Type header.

This issue has been fixed in mod_wsgi version 3.4.

References:
http://blog.dscpl.com.au/2014/05/security-release-for-modwsgi-version-35.html
https://github.com/GrahamDumpleton/mod_wsgi/commit/b0a149c1f5e569932325972e2e20176a42e43517

Acknowledgements:

Red Hat would like to thank Graham Dumpleton for reporting of this issue. Upstream acknowledges Buck Golemon as the original issue reporter.

Comment 1 Murray McAllister 2014-05-28 05:58:59 UTC
Created python26-mod_wsgi tracking bugs for this issue:

Affects: epel-5 [bug 1101875]

Comment 2 Murray McAllister 2014-05-28 05:59:07 UTC
Created mod_wsgi tracking bugs for this issue:

Affects: epel-5 [bug 1101874]

Comment 4 Fedora Update System 2014-06-17 16:57:35 UTC
python26-mod_wsgi-3.5-1.el5, mod_wsgi-3.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-06-17 23:25:59 UTC
mod_wsgi-3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-06-17 23:35:13 UTC
mod_wsgi-3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2014-06-25 15:42:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0788 https://rhn.redhat.com/errata/RHSA-2014-0788.html

Comment 8 Kurt Seifried 2014-08-08 19:26:04 UTC
Statement:

Red Hat Update Infrastructure 2.1.3 is now in Production 2 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Update Infrastructure Life Cycle: https://access.redhat.com/support/policy/updates/rhui.